This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 166430 - qlistview patch to fix kmail folder selector (kde bug 99428)
qlistview patch to fix kmail folder selector (kde bug 99428)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-21 02:25 EDT by oreilly
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-22 05:02:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to fix bug (548 bytes, patch)
2005-08-21 02:25 EDT, oreilly
no flags Details | Diff

  None (edit)
Description oreilly 2005-08-21 02:25:02 EDT
Description of problem:     
in kmail, the dialog to select a mail folder to file an email message to does    
not respond to keyboard input to select.  Ingo Klocker (kloecker@kde.org)    
identified a one-line fix in src/widgets/qlistview.cpp (appended below).     
This patch has been submitted by Ingo to Trolltech, but it would be very nice  
if future updates of FC4 kde packages also included this patch!  
  
Here is the link for the bug on kde's bug tracker:  
http://bugs.kde.org/show_bug.cgi?id=99428 
see Comment 13 for the patch. 
     
Version-Release number of selected component (if applicable):     
3.3.4 (bug was not present in 3.3.3)     
     
How reproducible:     
every time     
     
Steps to Reproduce:     
1. open up kmail    
2. select a message    
3. do "move message" command, in file dialog, typing first few letters of    
folder does not work    
       
Actual results:     
does not select folder     
     
Expected results:     
select folder     
     
Additional info:     
patch is attached.
Comment 1 oreilly 2005-08-21 02:25:02 EDT
Created attachment 117950 [details]
patch to fix bug
Comment 2 Ngo Than 2005-08-22 05:02:41 EDT
it's now added in our CVS. The future update of FC4 qt package will include this
patch. Many thanks for the report.
Comment 3 Fedora Update System 2005-09-16 11:55:18 EDT
From User-Agent: XML-RPC

qt-3.3.4-15.4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.